"use strict";

var isValidIdentifier = require('is-valid-identifier');

var _require = require('sfc-compiler/src/helpers'),
    getAndRemoveAttr = _require.getAndRemoveAttr,
    getBindingAttr = _require.getBindingAttr;

function transformNode(el) {
  var classNames = []; // <view class="foo" />

  var staticClass = getAndRemoveAttr(el, 'class');

  if (staticClass) {
    var staticClasses = staticClass.split(' ');
    staticClasses.forEach(function (klass) {
      var val = klass.trim();

      if (val) {
        classNames.push(JSON.stringify(val));
      }
    });
  }
  /**
   * <view :class="bar" />
   * or
   * <view :class="{ bar: true }" />
   */


  var classBinding = getBindingAttr(el, 'class', false
  /* getStatic */
  );

  if (classBinding) {
    classNames.push(isValidIdentifier(classBinding) ? 'this.' + classBinding : classBinding);
  } // array of classNames, eg. ["foo", this.bar]


  el.classNameStyle = classNames.length === 0 ? '' : "[" + classNames.join(',') + "]";
}

function genData(el) {
  var data = '';

  if (el.classNameStyle) {
    data += "class:" + el.classNameStyle + ".join(' '),";
  }

  return data;
}

module.exports = {
  staticKeys: ['className'],
  transformNode: transformNode,
  genData: genData
};