"use strict";

var _require = require('source-map'),
    SourceMapGenerator = _require.SourceMapGenerator,
    SourceMapConsumer = _require.SourceMapConsumer;

var splitRE = /\r?\n/g;
var emptyRE = /^(?:\/\/)?\s*$/;

module.exports = function generateSourceMap(filename, rawContent, scriptCode, declarationCode, sourceRoot, baseSourceMap, scriptBaseLine) {
  var sourceMapConsumer = new SourceMapConsumer(baseSourceMap);
  var map = new SourceMapGenerator({
    file: filename,
    sourceRoot: sourceRoot
  });
  map.setSourceContent(filename, rawContent);
  scriptCode.split(splitRE).forEach(function (line, index) {
    if (!emptyRE.test(line)) {
      map.addMapping({
        source: filename,
        original: {
          line: index + scriptBaseLine,
          column: 0
        },
        generated: {
          line: index + scriptBaseLine,
          column: 0
        }
      });
    }
  }); // map.applySourceMap(sourceMapConsumer, filename);

  return map.toJSON();
};